Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
Đăng nhập để thực hiện theo  
Thanh BMT

[Nhờ Viết Lisp] Chuyển Đường Cong Tròn, Spline Thành Pline Gồm Nhiều Đoạn Thẳng Nhỏ Nối Lại

Các bài được khuyến nghị

Không biết có cao thủ nào giải đáp được yêu cầu của em ko? Tình hình là em muốn nhờ viết hộ lisp chuyển (hoặc vẽ thêm) đường Pline bám sát đường cong (cong tròn, elip, spline ...) gồm nhiều đoạn THẲNG nhỏ nối lại (tạo thành từng đốt), có tuỳ chọn chiều dài đốt trong pline mới tạo. Xin cảm ơn!

  • Vote giảm 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Lisp này để tạo đối tượng wipeout trong bản vẽ? Theo mình nhớ diễn đàn có lisp này rồi

Khi thiết kế đường mặt bằng giao thông, nhiều lúc muốn bo cong để vuốt nối các mép cho khỏi gãy khúc. Sau đấy mình dùng một số lệnh trong ADS để hoàn thiện mặt bằng (vẽ taluy chẳng hạn), nhưng thằng ADS chỉ nhận Pline là những đoạn thẳng nhỏ nối liền chứ không nhận cung cong. Vầy mới khổ chứ!

Bạn bảo có lisp này trên diễn đàn, sao mình tìm mãi không thấy nhỉ?

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Cho bạn 1 cái tạm nè! Lệnh: HA

 

(defun HA:ListPoints1 (ent len / x lenc lst)
 (setq x 0 lenc (vlax-curve-getdistatparam ent (vlax-curve-getendparam ent)) lst (cons (vlax-curve-getpointatdist ent x) lst))
 (while (< (setq x (+ x len)) lenc)
  (setq lst (cons (vlax-curve-getpointatdist ent x) lst)))
 (reverse (setq lst (cons (vlax-curve-getEndpoint ent) lst))))
(defun LWPoly (lst cls)
 (entmake (append (list (cons 0 "LWPOLYLINE") (cons 100 "AcDbEntity") (cons 100 "AcDbPolyline")
   (cons 90 (length lst)) (cons 70 cls)) (mapcar (function (lambda (p) (cons 10 p))) lst))))
;-----(vlax-curve-isclosed ent)
(defun C:HA()
 (setq ent (car (entsel "\nChon Curve de Convert: ")))
 (setq lst (HA:ListPoints1 ent 100))
 (LWPoly lst 0)
 (princ))
  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

 

Cho bạn 1 cái tạm nè!


Mình thử lisp của bạn nhưng gặp lỗi, lúc hiện lên dòng "Chon Curve de Convert:", mình kick chọn đối tượng thì hiện lỗi "error: bad DXF group: nil"

Mình thử ngay bản cad mới mở cũng bị như vậy bạn ạ.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×